#pragma once

#include "blitz/game/Game.h"
#include "blitz/misc/Time.h"

namespace blitz {
namespace server {

class Server;

class ServerGame : public game::Game {
  private:
	Server* m_Server;
	utils::Timer m_PositionTimer;

  public:
	ServerGame(Server* server);
	virtual ~ServerGame();

	void Tick(std::uint64_t delta) override;

  private:
	void SendPlayerPositions();
};

}  // namespace server
}  // namespace blitz
